package client.renderer.blockmodel;

import java.util.List;

import client.renderer.texture.TextureAtlasSprite;
import common.model.Transforms;
import common.util.Facing;

public interface IBakedModel
{
    List<BakedQuad> getFace(Facing facing);

    List<BakedQuad> getQuads();

    boolean isGui3d();

    boolean isBuiltin();

    TextureAtlasSprite getBaseTexture();

    Transforms getTransforms();
}
